Package com.sap.ai.sdk.core.model

# Class BckndArgoCDApplicationStatusSource

java.lang.Object
com.sap.ai.sdk.core.model.BckndArgoCDApplicationStatusSource

public class BckndArgoCDApplicationStatusSource extends Object
Information about the ArgoCD application itself

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `BckndArgoCDApplicationStatusSource()`
  Default constructor for BckndArgoCDApplicationStatusSource.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static BckndArgoCDApplicationStatusSource`
  `create()`
  Create a new `BckndArgoCDApplicationStatusSource` instance.
  `boolean`
  `equals(Object o)`
  `Object`
  `getCustomField(String name)`
  Deprecated.
  Use `toMap()` instead.
  `Set<String>`
  `getCustomFieldNames()`
  Get the names of the unrecognizable properties of the `BckndArgoCDApplicationStatusSource`.
  `String`
  `getPath()`
  Path of the repository
  `String`
  `getRepoURL()`
  URL of the repository
  `String`
  `getRevision()`
  Revision number of the ArgoCD application
  `int`
  `hashCode()`
  `BckndArgoCDApplicationStatusSource`
  `path(String path)`
  Set the path of this `BckndArgoCDApplicationStatusSource` instance and return the same instance.
  `BckndArgoCDApplicationStatusSource`
  `repoURL(String repoURL)`
  Set the repoURL of this `BckndArgoCDApplicationStatusSource` instance and return the same instance.
  `BckndArgoCDApplicationStatusSource`
  `revision(String revision)`
  Set the revision of this `BckndArgoCDApplicationStatusSource` instance and return the same instance.
  `void`
  `setCustomField(String customFieldName, Object customFieldValue)`
  Set an unrecognizable property of this `BckndArgoCDApplicationStatusSource` instance.
  `void`
  `setPath(String path)`
  Set the path of this `BckndArgoCDApplicationStatusSource` instance.
  `void`
  `setRepoURL(String repoURL)`
  Set the repoURL of this `BckndArgoCDApplicationStatusSource` instance.
  `void`
  `setRevision(String revision)`
  Set the revision of this `BckndArgoCDApplicationStatusSource` instance.
  `Map<String,Object>`
  `toMap()`
  Get the value of all properties of this `BckndArgoCDApplicationStatusSource` instance including unrecognized properties.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### BckndArgoCDApplicationStatusSource

    protected BckndArgoCDApplicationStatusSource()
    Default constructor for BckndArgoCDApplicationStatusSource.

- ## Method Details

  - ### repoURL

    @Nonnull public BckndArgoCDApplicationStatusSource repoURL(@Nullable String repoURL)
    Set the repoURL of this `BckndArgoCDApplicationStatusSource` instance and return the same instance.
    Parameters:
      `repoURL` - URL of the repository
    Returns:
      The same instance of this `BckndArgoCDApplicationStatusSource` class

  - ### getRepoURL

    @Nonnull public String getRepoURL()
    URL of the repository
    Returns:
      repoURL The repoURL of this `BckndArgoCDApplicationStatusSource` instance.

  - ### setRepoURL

    public void setRepoURL(@Nullable String repoURL)
    Set the repoURL of this `BckndArgoCDApplicationStatusSource` instance.
    Parameters:
      `repoURL` - URL of the repository

  - ### path

    @Nonnull public BckndArgoCDApplicationStatusSource path(@Nullable String path)
    Set the path of this `BckndArgoCDApplicationStatusSource` instance and return the same instance.
    Parameters:
      `path` - Path of the repository
    Returns:
      The same instance of this `BckndArgoCDApplicationStatusSource` class

  - ### getPath

    @Nonnull public String getPath()
    Path of the repository
    Returns:
      path The path of this `BckndArgoCDApplicationStatusSource` instance.

  - ### setPath

    public void setPath(@Nullable String path)
    Set the path of this `BckndArgoCDApplicationStatusSource` instance.
    Parameters:
      `path` - Path of the repository

  - ### revision

    @Nonnull public BckndArgoCDApplicationStatusSource revision(@Nullable String revision)
    Set the revision of this `BckndArgoCDApplicationStatusSource` instance and return the same instance.
    Parameters:
      `revision` - Revision number of the ArgoCD application
    Returns:
      The same instance of this `BckndArgoCDApplicationStatusSource` class

  - ### getRevision

    @Nonnull public String getRevision()
    Revision number of the ArgoCD application
    Returns:
      revision The revision of this `BckndArgoCDApplicationStatusSource` instance.

  - ### setRevision

    public void setRevision(@Nullable String revision)
    Set the revision of this `BckndArgoCDApplicationStatusSource` instance.
    Parameters:
      `revision` - Revision number of the ArgoCD application

  - ### getCustomFieldNames

    @Nonnull public Set<String> getCustomFieldNames()
    Get the names of the unrecognizable properties of the `BckndArgoCDApplicationStatusSource`.
    Returns:
      The set of properties names

  - ### getCustomField

    @Nullable @Deprecated public Object getCustomField(@Nonnull String name) throws NoSuchElementException
    Deprecated.
    Use `toMap()` instead.
    Get the value of an unrecognizable property of this `BckndArgoCDApplicationStatusSource` instance.
    Parameters:
      `name` - The name of the property
    Returns:
      The value of the property
    Throws:
      `NoSuchElementException` - If no property with the given name could be found.

  - ### toMap

    @Nonnull public Map<String,Object> toMap()
    Get the value of all properties of this `BckndArgoCDApplicationStatusSource` instance including unrecognized properties.
    Returns:
      The map of all properties

  - ### setCustomField

    public void setCustomField(@Nonnull String customFieldName, @Nullable Object customFieldValue)
    Set an unrecognizable property of this `BckndArgoCDApplicationStatusSource` instance. If the map previously contained a mapping for the key, the old value is replaced by the specified value.
    Parameters:
      `customFieldName` - The name of the property
      `customFieldValue` - The value of the property

  - ### equals

    public boolean equals(@Nullable Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    @Nonnull public String toString()
    Overrides:
      `toString` in class `Object`

  - ### create

    public static BckndArgoCDApplicationStatusSource create()
    Create a new `BckndArgoCDApplicationStatusSource` instance. No arguments are required.